/*****************************************************************************
Open Source MIT License

Copyright (c) 2017 Matthew Ahmed

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
*****************************************************************************/

// AboutDlg.h: interface for the CAboutDlg class.
//
//////////////////////////////////////////////////////////////////////

#pragma once

#include "ZWinDlg.h"

//Never needed?// BOOL AboutDlgProc(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);

class CAboutDlg : public ZDlg  
{
public:
	CAboutDlg(HINSTANCE hInst, CSettings * pSet, LPCTSTR sCapt1,
								LPCTSTR sCapt2 = NULL, ZWin * pOwner = NULL);
	~CAboutDlg();
	BOOL OwnProc(HWND hDlg, UINT uMsg, WPARAM wP, LPARAM lP);

protected:
	CSettings * ini;

  HANDLE m_hImage;
  RECT m_rcImage;
  void OnPaint();

  HWND m_hTxtHome;
  HWND m_hTxtMail;
  HWND m_hTxtCredit;
  RECT m_rcHome;
  RECT m_rcMail;
  RECT m_rcCredit;

  HCURSOR m_hcLink;
  DWORD m_ulpOldCursor;

  BOOL m_bLinkHome;
  BOOL m_bLinkMail;
  BOOL m_bLinkCpic;
  BOOL m_bLinkCursor;
  BOOL m_bEnableCursor;

  BOOL OnCtlColorStatic(WPARAM wp_hDC, LPARAM lp_hCtl);
  void OnMouseLBnDown();
  void OnMouseMove(WPARAM, LPARAM lp_XloYhi);
  BOOL fnShellExecOpen(LPCTSTR lpFile);

  //HWND m_hTxt;  /////////////////// REMOVE

	BOOL OnInitDialog();
	void OnOk();
  void OnDestroy();

};

