/*****************************************************************************
Open Source MIT License

Copyright (c) 2017 Matthew Ahmed

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
*****************************************************************************/

// CopyOptDlg.h: interface for the CCopyOptDlg class.
//
//////////////////////////////////////////////////////////////////////

#pragma once

#include "ZWinDlg.h"

//Never needed?// BOOL CopyOptDlgProc(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);

class CCopyOptDlg : public ZDlg  
{
public:
	CCopyOptDlg(HINSTANCE hInst, CSettings * pSet, LPCTSTR sCapt1,
								LPCTSTR sCapt2 = NULL, ZWin * pOwner = NULL, ZWinAppData * pzwd = NULL);
	~CCopyOptDlg();
	BOOL OwnProc(HWND hDlg, UINT uMsg, WPARAM wP, LPARAM lP);

protected:
	CSettings * ini;
//  void OnBnBrowse();
//  void OnCkLog(WPARAM wP, LPARAM);
//  HWND m_hCkLogFlush;
//  HWND m_hCkLogDetail;
  TCHAR m_sLogDir[_MAX_PATH];

	BOOL OnInitDialog();
  void OnBnHelp();
	void OnOk();
};

