/*****************************************************************************
Open Source MIT License

Copyright (c) 2017 Matthew Ahmed

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
*****************************************************************************/

// Minimal.h

#pragma once

// Omit for some dialogs MFC // int APIENTRY _tWinMain(HINSTANCE, HINSTANCE, LPTSTR, int);

LPTSTR gsCapt = NULL;
HWND ghMain = NULL;

//// Global paths for Program Dir, Work & ini dir (in appdata), Docs Dir (in My Documents)
//TCHAR gsProgDirSlash[_MAX_PATH];
//TCHAR gsAppDataDirSlash[_MAX_PATH];
//TCHAR gsAppDocsDirSlash[_MAX_PATH];

// Basic inline simply set hWnd and caption
BOOL fnErr(LPCTSTR sErr1, LPCTSTR sErr2 = NULL, LPCTSTR sErr3 = NULL,
					 LPCTSTR sErr4 = NULL, LPCTSTR sErr5 = NULL, LPCTSTR sErr6 = NULL)
{
	return fnError(ghMain, gsCapt, sErr1, sErr2, sErr3, sErr4, sErr5, sErr6);
}

/*******************************************************************************
  All below to use CWinApp, because CDialog depends o it
  Parent dialog will still be ZDlg, but put CDialog in Copy Album Art tab
  Only Match dialog needs to be CDialog for CImage, but modal CDialog needs
  CWnd as parent. Put modeless CDialog in Copy tab, it calls modal Match dlg
*********************************************************************************/

class CShakerApp : public CWinApp
{
public:
	CShakerApp();

	virtual BOOL InitInstance();

  DECLARE_MESSAGE_MAP()
};

