/*****************************************************************************
Open Source MIT License

Copyright (c) 2017 Matthew Ahmed

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
*****************************************************************************/

#pragma once

#include "ZWin.h"

class ZWinUtil : public ZWin
{
public:
  ZWinUtil(ZWin * pOwner = NULL, LPCTSTR sName = NULL);
  virtual ~ZWinUtil(void);

	//BOOL SetError(LPCTSTR sErr1, LPCTSTR sErr2 = NULL);  // Inherit from ZWin
	//BOOL AddToError(LPCTSTR sErr);
	LPCTSTR GetError(BOOL bClear = TRUE);
	BOOL ShowError(LPCTSTR sCapt, LPCTSTR sPre = NULL, LPCTSTR sPost = NULL);
	//void ClearError();
  void SetOwner(ZWin * pOwner);

protected:
  HWND m_hDlg;
  LPCTSTR m_sOwnName;
  ZWin * m_pOwner;
//  TCHAR m_sError[8192];  // Inherit from ZWin
  TCHAR m_sReportError[8192];
//  TCHAR sBS[2048];
};
